@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');

body {
  background-image: radial-gradient(white 50%, #4466ab 100%), url(/img/alamsutera.jpg);
  background-blend-mode: multiply;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
  transform-style: preserve-3d;
  transform: perspective(60rem);
  font-family: 'Montserrat', sans-serif;
}

@media screen and (orientation:portrait) {
    body {
        background-size: auto 100vh;
        background-position: center top;
    }
}

nav {
  align-items: center;
  justify-content: center;
  min-height: 100vh;
  font-style: normal;
  font-weight: 900;
  font-kerning: normal;
  -webkit-font-smoothing: antialiased;
  -webkit-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
}

.logo {
  max-height: 70vh;
  max-width: 80vw;
}

.Menu-list {
  font-size: 2rem;
  line-height: 1.2;
  text-transform: uppercase;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.Menu-list-item {
  position: relative;
  color: transparent;
  cursor: pointer;
}
.Menu-list-item::before {
  content: '';
  display: block;
  position: absolute;
  top: 49%;
  left: -10%;
  right: -10%;
  height: 4px;
  border-radius: 4px;
  margin-top: -2px;
  background: #faa947;
  transform: scale(0);
  transition: transform 0.8s cubic-bezier(0.16, 1.08, 0.38, 0.98);
  z-index: 1;
}
.Mask {
  display: block;
  position: absolute;
  overflow: hidden;
  color: #faa947;
  top: 0;
  height: 49%;
  transition: all 0.8s cubic-bezier(0.16, 1.08, 0.38, 0.98);
}
.Mask span {
  display: block;
}
.Mask + .Mask {
  top: 48.9%;
  height: 51.1%;
}
.Mask + .Mask span {
  transform: translateY(-49%);
}
.Menu-list-item:hover .Mask, .Menu-list-item:active .Mask {
  color: #fff;
  transform: skewX(10deg) translateX(3px);
}
.Menu-list-item:hover .Mask + .Mask, .Menu-list-item:active .Mask + .Mask {
  transform: skewX(10deg) translateX(-3px);
}
.Menu-list-item:hover::before, .Menu-list-item:active::before {
  transform: scale(1);
}

.contact {
  background-color: skyblue;
}

footer {
  background-color: snow;
}

.footerlogo {
  height: 100px;
}